Skip to main content
POST
Get Open Positions

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Query Parameters

account_id
string

Public wallet account ID. Omit to use the authenticated user's default wallet. See List Wallet Accounts.

Body

application/json
nonce
integer<int64>
required

Nonce used in construction of API-Sign header

txid
string

Comma delimited list of txids to limit output to

docalcs
boolean
default:false

Whether to include P&L calculations

consolidation
enum<string>

Consolidate positions by market/pair

Available options:
market
rebase_multiplier
enum<string> | null
default:rebased

Optional parameter for viewing xStocks data.

  • rebased: Display in terms of underlying equity.
  • base: Display in terms of SPV tokens.
Available options:
rebased,
base

Response

200 - application/json

Open positions info retrieved.

result
Positions · object

Open positions keyed by trade txid. When consolidation is market, a list of positions consolidated by pair is returned instead.

error
string[]

Kraken API error